<script setup>
import { onLaunch, onShow, onError } from '@dcloudio/uni-app';
import sheep from '@/common';
onLaunch(() => {
  const params = {};
  const queryString = window.location.search.substring(1);
  if (queryString) {
    queryString.split('&').forEach(item => {
      const [key, value] = item.split('=');
      if (key) params[key] = decodeURIComponent(value || '');
    });
  }
  // 获取token参数
  if (params && params.token) {
    sheep.$store('user').setToken(params.token)
    sheep.$store('task').resetTaskData()
  }
  // 隐藏原生导航栏 使用自定义底部导航
  uni.hideTabBar({
    fail: () => { },
  });

  //游客游客模式注释
  if (!uni.getStorageSync("token") && (!params && !params.token)) {
    uni.reLaunch({
      url: '/pages/index/index'
    })
  } else {
    sheep.$store('user').getInfo()
  }
})

onShow(() => {
  // #ifdef APP-PLUS
  // 获取urlSchemes参数
  const args = plus.runtime.arguments;
  if (args) {
  }

  // 获取剪贴板
  uni.getClipboardData({
    success: (res) => { },
  });
  // #endif
});
</script>

<style lang="scss">
@import '@/common/scss/index.scss';
</style>
